<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("project_i" . "d" => base64_decode("cHJva" . "mVjdF" . "9pZA=" . "="), "_7276e0a" . "f756e529" . "d30af7aa" . "afe4e778" . "4" => base64_decode("YXJjaGl2Z" . "WQ="), "_57c0a2f09e2a9" . "20c0560baffc5e" . "3d295" => base64_decode("cmV" . "wb3" . "J0Z" . "XJz"), "_ff248fe1eba68f190ea1ff00a5" . "54acde" => base64_decode("YXNzaW" . "duZWU="), "_83396dddfc39e26775d1e61db" . "5abf86b" => base64_decode("bW9uaXRvcmluZw" . "=="), "_8f3ef8878b2a82b830d051" . "a059162317" => base64_decode("Y3JlYXRlZF9mcm" . "9t"), "_5159b357" . "2969eca46" . "acd1b2e14" . "18459c" => base64_decode("aW1wbG9k" . "ZQ=="), "_4d707fab93bebb0" . "0bbe69e8159697c9" . "0" => base64_decode(""), "_c42d618c08b720c25b9" . "0ad5550e2db2f" => base64_decode("cmVwb3J0ZX" . "I="), "_8af1b1bd0c05175c85a4cee44d47d2d" . "a" => base64_decode("cXVlcnlfZ" . "mllbGRz"), "_7f5aa4e96d" . "4b415a86ed7" . "2ebff677cbe" => base64_decode("cXVlc" . "nk="), "st" . "at" . "us" => base64_decode("c3RhdH" . "Vz"), "_f73dab60" . "6630b3886" . "45c4f7d3f" . "bb13bb" => base64_decode("YXJyYXlfbWVyZ2U" . "="), "_5ecedeb8c083d4a2a4ebef552609" . "7f58" => base64_decode("YXNzaWduZW" . "Vz"), "_7608a2690229dd2" . "6ac43cb60aa2a7d9" . "7" => base64_decode("bGFzdF9tb" . "2RpZmllZA" . "=="), "_1ac5cc48c34c5362e94d8667c" . "c7b0ddc" => base64_decode("LA" . "=="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c42d618c08b720c25b90" . "ad5550e2db2f"]] ?? $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ff248fe1eba68f19" . "0ea1ff00a554acde"]] ?? $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe" . "69e8159697c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["sta" . "tus"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8f3ef8878b2" . "a82b830d051a" . "059162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7608a2690229dd26ac43cb60aa" . "2a7d97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7276e0af756e52" . "9d30af7aaafe4e7" . "784"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7276e0af756e529d30af7a" . "aafe4e7784"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_83396dddfc39" . "e26775d1e61db" . "5abf86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_83396dddfc39" . "e26775d1e61db" . "5abf86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f5aa4e96d4b415a86ed72ebff" . "677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8af1b1bd0c05175c85a4cee44d47d2d" . "a"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8af1b1bd0c05175c85a4cee44d47d2d" . "a"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_f73dab606630b388645" . "c4f7d3fbb13bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["proj" . "ect_" . "id"] => $this->projectId, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_57c0a2f" . "09e2a920" . "c0560baf" . "fc5e3d29" . "5"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5159b3572969eca46acd1b2e1" . "418459c"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1ac5cc48c34c536" . "2e94d8667cc7b0dd" . "c"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5ecedeb8c083d4" . "a2a4ebef5526097" . "f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5159b3572969eca46a" . "cd1b2e1418459c"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1ac5cc48c34c53" . "62e94d8667cc7b0" . "ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7276e0af756e529d30af7a" . "aafe4e7784"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_83396dddfc39e26775d1e61db5abf8" . "6b"] => $this->monitoring, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["statu" . "s"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}